<?

use PHPMailer\PHPMailer\PHPMailer;

Function SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC)
{

require_once('PHPMailer.php');
require_once('SMTP.php');
require_once('Exception.php');

$mail = new PHPMailer(); // the true param means it will throw exceptions on errors, which we need to catch

$mail->IsSMTP(); // telling the class to use SMTP

try {
$mail->Host       = "smtp.gmail.com"; // SMTP server
  //$mail->SMTPDebug  = 1;                     // enables SMTP debug information (for testing)
  $mail->SMTPAuth   = true;                  // enable SMTP authentication
  $mail->SMTPSecure = "ssl";                 // sets the prefix to the servier
  $mail->Port       = 465;                   // set the SMTP port for the GMAIL server
  $mail->Username   = "lpruebasdisxii@gmail.com";  // GMAIL username
  $mail->Password   = "gcojrgzwyeinbqln";            // GMAIL password
  // $mail->SetLanguage('es', 'lenguaje/');            // GMAIL password
  $mail->AddReplyTo('lpruebasdisxii@gmail.com', 'Portal de Recepcion CFDI');
  
  $mail->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );
  
  $emails = explode(",",$ParaEmail);
  $names = explode(",",$ParaNombre);
  for($i=0;$i < count($emails);$i++){
	$mail->AddAddress($emails[$i], $names[$i]);
  }
  
  $mail->SetFrom('lpruebasdisxii@gmail.com', 'Portal de Proveedores RecibeCFD');
  
  $mail->Subject = $SubjectMessage;
  
  $mail->AltBody = 'Correo electrónico, enviado desde el Portal de Proveedores RecibeCFD!'; // optional - MsgHTML will create an alternate automatically
  /*if (file_exists($BodyHTMLFileMessage)) {
    $mail->MsgHTML(file_get_contents($BodyHTMLFileMessage));
  } else {
    $mail->MsgHTML("No se especifico el cuerpo del mensaje o no existe el archivo indicado");  
  }*/
  
  $mail->MsgHTML($BodyHTMLFileMessage);
  
  
    if (file_exists($AdjuntoA)) {
        $mail->AddAttachment($AdjuntoA); }
    if (file_exists($AdjuntoB)) {
        $mail->AddAttachment($AdjuntoB); }
    if (file_exists($AdjuntoC)) {
        $mail->AddAttachment($AdjuntoC); }
  
  //$mail->Send();
  if(!$mail->Send()) {
      //echo "<p>: </p>\n" . $mail->ErrorInfo;
			/*echo "<script language='javascript'>
				alert('No se pudo enviar un correo a su cuenta.');
			</script>";*/
		return false;
    } else {
			/*echo "<script language='javascript'>
			alert('En breves instantes recibira un correo.');
			</script>";*/
		return true;
    }
  
  //echo "Message Sent OK</p>\n";
} catch (phpmailerException $e) {
  echo $e->errorMessage(); //Pretty error messages from PHPMailer
  return false;
} catch (Exception $e) {
  echo $e->getMessage(); //Boring error messages from anything else!
  return false;
}



}
?>